import React from 'react';
import { WithFeature } from '../../store/reducers/embeddedApp/contextualSaveBar';
import { ComponentProps } from '../../types';
interface ExtraProps {
    [key: string]: any;
}
type ComposedProps = WithFeature & ExtraProps;
/**
 * The UI component for the ContextualSaveBar feature
 * @public
 * */
declare function ContextualSaveBar(props: ComposedProps): React.JSX.Element | null;
/**
 * The ContextualSaveBar feature with its reducer, actions and UI component
 * @public
 * */
declare const _default: import("@shopify/react-compose").ReactComponent<ComponentProps> & import("@shopify/useful-types").NonReactStatics<import("@shopify/react-compose").ReactComponent<ComposedProps> & typeof ContextualSaveBar>;
export default _default;
