import { Redirect } from '@shopify/app-bridge-core/actions';
import { NavigationResolver } from './resolver';
type Resource = Redirect.CreateResource | Redirect.ResourceInfo;
type ProductResource = Resource | Redirect.ProductVariantResource;
export default function getResourceUrl(url: NavigationResolver, section: Redirect.Section): string | undefined;
export declare function getProductUrl(url: NavigationResolver, resource?: ProductResource): string | undefined;
export declare function getCollectionUrl(url: NavigationResolver, resource?: Resource): string | undefined;
export declare function getDiscountUrl(url: NavigationResolver, resource?: Resource): string | undefined;
export declare function getCustomerUrl(url: NavigationResolver, resource?: Resource): string | undefined;
export declare function getOrderUrl(url: NavigationResolver, resource?: Resource): string | undefined;
export {};
