import { Performance as PerformanceActions } from '@shopify/app-bridge-core/actions';
import { PerformanceDetails } from '../features/performance';
export interface MetricsPayload {
    appId: string;
    shopId: string;
    appLoadType: PerformanceActions.Action;
    isFullPageNavigation: boolean;
    loadTime: number;
    handleOrKey?: any;
}
export interface Props {
    initialLoadState: PerformanceDetails | null;
    dispatchPerformanceMetrics: (metrics: MetricsPayload) => void;
}
export default function Performance({ initialLoadState, dispatchPerformanceMetrics }: Props): null;
