'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('@shopify/react-compose');
var store_reducers_embeddedApp_staffMember_index = require('../store/reducers/embeddedApp/staffMember/index.js');
var withFeature = require('../withFeature.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var compose__default = /*#__PURE__*/_interopDefault(compose);

/**
 * The UI component for the StaffMember feature
 * @public
 * */
function StaffMember() {
    return null;
}
/**
 * The StaffMember feature with its reducer, actions and UI component
 * @public
 * */
var StaffMember$1 = compose__default.default(withFeature.default(store_reducers_embeddedApp_staffMember_index.feature))(StaffMember);

exports.StaffMember = StaffMember;
exports.default = StaffMember$1;
