import { __extends } from 'tslib';
import React from 'react';
import { appBridgeMiddlewareProptype } from './PropTypes.js';

var Provider = /** @class */ (function (_super) {
    __extends(Provider, _super);
    function Provider(props) {
        var _this = _super.call(this, props) || this;
        _this.middleware = props.middleware;
        return _this;
    }
    Provider.prototype.getChildContext = function () {
        return {
            appBridgeMiddleware: this.middleware,
        };
    };
    Provider.prototype.render = function () {
        return React.Children.only(this.props.children);
    };
    Provider.childContextTypes = {
        appBridgeMiddleware: appBridgeMiddlewareProptype,
    };
    return Provider;
}(React.Component));

export { Provider };
