import withFeature from '../../withFeature.js';

function withStatelessFeature(key, actions, getApi) {
    return withFeature({
        actions: (actions || {}),
        key: key,
        initialState: {},
        reducer: function (state) { return state || {}; },
        getApi: (getApi || (function () { })),
    });
}

export { withStatelessFeature as default };
