import { Group, Features } from '@shopify/app-bridge-core/actions';
import { actionWrapper } from '../../../../actions.js';

function update(payload) {
    return actionWrapper({
        group: Group.Features,
        type: Features.Action.UPDATE,
        payload: payload,
    });
}
function requestUpdate(payload) {
    return actionWrapper({
        group: Group.Features,
        type: Features.Action.REQUEST_UPDATE,
        payload: payload,
    });
}

export { requestUpdate, update };
