import { History, Redirect } from '@shopify/app-bridge-core/actions';
import { completeRouteUpdate } from './actions.js';

var navigationActionCreatorsMap = {
    handleReplaceHistory: History.replace,
    handlePushHistory: History.push,
    handleRedirectApp: Redirect.toApp,
    handleRedirectAdmin: Redirect.toAdminPath,
    handleRedirectAdminSection: Redirect.toAdminSection,
    handleRedirectRemote: Redirect.toRemote,
    completeRouteUpdate: completeRouteUpdate,
};

export { navigationActionCreatorsMap };
