import { __assign } from 'tslib';
import { Pos } from '@shopify/app-bridge-core/actions';

var defaultPOSStore = {};
function posReducer(state, action) {
    if (state === void 0) { state = defaultPOSStore; }
    switch (action.type) {
        case Pos.Action.LOCATION_UPDATE:
            return __assign(__assign({}, state), { location: action.payload });
        case Pos.Action.USER_UPDATE:
            return __assign(__assign({}, state), { user: action.payload });
        case Pos.Action.DEVICE_UPDATE:
            return __assign(__assign({}, state), { device: action.payload });
    }
    return state;
}

export { posReducer as default, defaultPOSStore };
