import { Print } from '@shopify/app-bridge-core/actions';

var printActionCreatorsMap = {
    app: Print.app,
};
/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: printActionCreatorsMap,
    key: 'print',
    initialState: {},
    reducer: function (state) { return state || {}; },
};

export { feature };
