import * as TitleBar from '@shopify/app-bridge-core/actions/TitleBar';
import { setPagination, setAppInfo } from './actions.js';

/**
 * Returns a mapped object with methods for dispatching Title Bar actions
 * @internal
 * */
var titleBarActionCreatorsMap = {
    clickActionButton: TitleBar.clickActionButton,
    clickBreadcrumb: TitleBar.clickBreadcrumb,
    setPagination: setPagination,
    setAppInfo: setAppInfo,
    update: TitleBar.update,
};

export { titleBarActionCreatorsMap };
