import type { Unsubscribe } from '@shopify/app-bridge-core/actions/types';
interface CreateListener<T> {
    <E extends keyof T>(event: E, listener: T[keyof T]): Unsubscribe;
}
type Event<T> = keyof T;
type Listener<T> = T[keyof T];
export declare function createEventHandlers<L>(createListener: CreateListener<L>): {
    addEventListener(event: Event<L>, listener: Listener<L>): void;
    removeEventListener(event: Event<L>, listener: Listener<L>): void;
};
export {};
