import { SessionToken } from '@shopify/app-bridge-core/actions';
import type { SessionTokenApi } from '@shopify/app-bridge-core/actions/SessionToken';
import { FeatureWithApi } from '../withFeature';
export interface WithFeature {
    actions: {
        respond: typeof SessionToken.respond;
        request: typeof SessionToken.request;
    };
    api: SessionTokenApi;
}
export type SessionTokenFeature = FeatureWithApi<never, WithFeature['actions'], WithFeature['api']>;
export declare const getApi: SessionTokenFeature['getApi'];
declare const _default: <OwnProps>(WrappedComponent: import("react").ComponentType<OwnProps>) => import("react").ComponentType<OwnProps & import("..").ComponentProps & import("../withFeature").FeatureProps<{
    respond: typeof SessionToken.respond;
    request: typeof SessionToken.request;
}, {}>>;
export default _default;
