import { ActionCreatorsMapObject } from 'redux';
import { Modal } from '@shopify/app-bridge-core/actions';
import { LegacyModalSetHeightAction } from './actions';
export declare function setHeight(payload: number): LegacyModalSetHeightAction;
export interface ModalActionCreatorsMap extends ActionCreatorsMapObject {
    close: typeof Modal.closeModal;
    clickFooterButton: typeof Modal.clickFooterButton;
    open: typeof Modal.openModal;
    setHeight: typeof setHeight;
}
export declare const modalActionCreatorsMap: ModalActionCreatorsMap;
