'use strict';

var Actions = require('@shopify/app-bridge-core/actions');
var actions = require('./actions.js');

function setHeight(payload) {
    return {
        payload: payload,
        type: actions.LEGACY_MODAL_SET_HEIGHT,
    };
}
var modalActionCreatorsMap = {
    clickFooterButton: Actions.Modal.clickFooterButton,
    close: Actions.Modal.closeModal,
    open: Actions.Modal.openModal,
    setHeight: setHeight,
};

exports.modalActionCreatorsMap = modalActionCreatorsMap;
exports.setHeight = setHeight;
