import { Button as AppBridgeButton, Modal as AppBridgeModal } from '@shopify/app-bridge-core/actions';
import { ModalActionCreatorsMap } from './actionCreators';
export interface ModalStore {
    content?: string;
    height?: number;
    id?: string;
    location?: string;
    open: boolean;
    primaryAction?: AppBridgeButton.Payload;
    secondaryActions?: AppBridgeButton.Payload[];
    size?: AppBridgeModal.Size;
    title?: string;
    loading?: boolean;
}
export interface WithFeature {
    store: ModalStore;
    actions: ModalActionCreatorsMap;
}
