'use strict';

var Actions = require('@shopify/app-bridge-core/actions');
var actions = require('./actions.js');

var navigationActionCreatorsMap = {
    handleReplaceHistory: Actions.History.replace,
    handlePushHistory: Actions.History.push,
    handleRedirectApp: Actions.Redirect.toApp,
    handleRedirectAdmin: Actions.Redirect.toAdminPath,
    handleRedirectAdminSection: Actions.Redirect.toAdminSection,
    handleRedirectRemote: Actions.Redirect.toRemote,
    completeRouteUpdate: actions.completeRouteUpdate,
};

exports.navigationActionCreatorsMap = navigationActionCreatorsMap;
