import { Action as ActionBase, AnyAction } from 'redux';
import { History, Redirect } from '@shopify/app-bridge-core/actions';
export declare const COMPLETE_ROUTE_UPDATE = "PRIVATE_APP::NAVIGATION::COMPLETE_ROUTE_UPDATE";
export declare function completeRouteUpdate(): {
    type: string;
};
export interface CompleteRouteUpdate extends ActionBase {
    readonly type: typeof COMPLETE_ROUTE_UPDATE;
}
export type Action = Redirect.RedirectAction | History.HistoryAction | CompleteRouteUpdate | AnyAction;
