import { ActionCreatorsMapObject } from 'redux';
import { unstable_Picker } from '@shopify/app-bridge-core/actions';
/**
 * @unstable This API may be updated without warning in the future
 */
export interface PickerActionCreatorsMap extends ActionCreatorsMapObject {
    cancel: typeof unstable_Picker.cancel;
    open: typeof unstable_Picker.open;
    select: typeof unstable_Picker.select;
    update: typeof unstable_Picker.update;
    search: typeof unstable_Picker.search;
    loadMore: typeof unstable_Picker.loadMore;
}
/**
 * @unstable This API may be updated without warning in the future
 */
export declare const pickerActionCreatorsMap: PickerActionCreatorsMap;
