import { unstable_Picker as AppBridgePicker } from '@shopify/app-bridge-core/actions';
/**
 * @unstable This API may be updated without warning in the future
 */
export interface PickerStore extends Pick<AppBridgePicker.Options, 'canLoadMore' | 'loadingMore' | 'loading' | 'maxSelectable' | 'searchQuery' | 'searchQueryPlaceholder' | 'primaryActionLabel' | 'secondaryActionLabel' | 'emptySearchLabel' | 'title' | 'verticalAlignment' | 'allowEmptySelection' | 'resourceName'> {
    open?: boolean;
    id?: string;
    items?: AppBridgePicker.BaseResource[];
    selectedItems?: AppBridgePicker.BaseResource[];
}
