import { Action as BaseAction, AnyAction } from 'redux';
import { StaffMemberStore } from './types';
export declare const SET = "PRIVATE_APP::STAFF_MEMBER::SET";
export interface SetAction extends BaseAction {
    readonly type: typeof SET;
    readonly payload: StaffMemberStore;
}
export type Action = SetAction | AnyAction;
export declare function isSetAction(action: Action): action is SetAction;
