import * as TitleBar from '@shopify/app-bridge-core/actions/TitleBar';
import { AnyAction } from 'redux';
import { SetAppDetailsAction, SetPaginationAction } from './actions';
import { TitleBarStore } from './types';
export type Action = TitleBar.TitleBarAction | SetPaginationAction | SetAppDetailsAction | AnyAction;
export declare const defaultTitlebarStore: null;
declare function titleBarReducer(state: TitleBarStore | null | undefined, action: Action): TitleBarStore | null;
export default titleBarReducer;
