import { Application } from '../../types';
import type { DispatchProps, Store } from './embeddedApp';
import appBridgeReducer, { AppBridgeStore, StoreReadyAction } from './embeddedApp/appBridge';
import { FeaturesState, FeaturesActionCreatorsMap } from './embeddedApp/features';
import { LoadingStore, LoadingActionCreatorsMap } from './embeddedApp/loading';
import { ModalStore, ModalActionCreatorsMap } from './embeddedApp/modal';
import { NavigationStore, NavigationActionCreatorsMap } from './embeddedApp/navigation';
import { MenuStore, MenuActionCreatorsMap } from './embeddedApp/menu';
import { ResourcePickerStore, ResourcePickerActionCreatorsMap } from './embeddedApp/resourcePicker';
import { StaffMemberStore, StaffMemberActionCreatorsMap } from './embeddedApp/staffMember';
import { TitleBarStore, TitleBarActionCreatorsMap } from './embeddedApp/titleBar';
import { ToastStore, ToastActionCreatorsMap } from './embeddedApp/toast';
import { ContextualSaveBarStore } from './embeddedApp/contextualSaveBar';
import { PickerStore, PickerActionCreatorsMap } from './embeddedApp/picker';
export { DispatchProps, StoreReadyAction, Store, AppBridgeStore, ContextualSaveBarStore, FeaturesState, LoadingStore, ModalStore, MenuStore, NavigationStore, ResourcePickerStore, StaffMemberStore, TitleBarStore, ToastStore, PickerStore, FeaturesActionCreatorsMap, LoadingActionCreatorsMap, ModalActionCreatorsMap, MenuActionCreatorsMap, NavigationActionCreatorsMap, ResourcePickerActionCreatorsMap, StaffMemberActionCreatorsMap, TitleBarActionCreatorsMap, ToastActionCreatorsMap, PickerActionCreatorsMap, };
export default appBridgeReducer;
export declare function mapAppStoreToProps(state: Store): Store;
export declare function mapAppDispatchToProps(app: Application): DispatchProps;
