import React from 'react';
import { appBridgeMiddlewareProptype } from './PropTypes';
import type { Middleware } from './types';
export interface Context {
    appBridgeMiddleware: Middleware;
}
export interface Props {
    children?: React.ReactNode;
    middleware: Middleware;
}
export declare class Provider extends React.Component<Props, never> {
    static childContextTypes: {
        appBridgeMiddleware: typeof appBridgeMiddlewareProptype;
    };
    middleware: Middleware;
    constructor(props: Props);
    getChildContext(): Context;
    render(): React.ReactNode;
}
