import React from 'react';
import { WithFeature } from '../store/reducers/embeddedApp/loading';
import { ComponentProps } from '../types';
/**
 * The UI component for the Loading feature
 * @public
 * */
export declare class Loading extends React.PureComponent<WithFeature, never> {
    render(): React.JSX.Element | null;
}
/**
 * The Loading feature with its reducer, actions and UI component
 * @public
 * */
declare const _default: import("@shopify/react-compose").ReactComponent<ComponentProps> & import("@shopify/useful-types").NonReactStatics<import("@shopify/react-compose").ReactComponent<WithFeature> & typeof Loading>;
export default _default;
