import { ComponentProps } from '../../types';
import { WithFeature } from '../../store/reducers/embeddedApp/navigation';
interface Props {
    resolveAppUrl?(appRoot: string, path: string): string;
}
type ComposedProps = Props & WithFeature;
/**
 * Handles all actions for the Navigation feature
 * @public
 * @requires RouterContext
 * */
export declare function Navigation(props: ComposedProps): null;
/**
 * The Navigation feature with its reducer, actions and a navigation actions handler
 * @public
 * */
declare const _default: import("@shopify/react-compose").ReactComponent<ComponentProps & Props> & import("@shopify/useful-types").NonReactStatics<import("@shopify/react-compose").ReactComponent<ComposedProps> & typeof Navigation>;
export default _default;
