import React from 'react';
import { WithFeature } from '../store/reducers/embeddedApp/toast';
import { ComponentProps } from '../types';
/**
 * The UI component for the Toast feature
 * @public
 * */
export declare function Toast(props: WithFeature): React.JSX.Element | null;
/**
 * The Toast feature with its reducer, actions and UI component
 * @public
 * */
declare const _default: import("@shopify/react-compose").ReactComponent<ComponentProps> & import("@shopify/useful-types").NonReactStatics<import("@shopify/react-compose").ReactComponent<WithFeature> & typeof Toast>;
export default _default;
