'use strict';

var withFeature = require('../../withFeature.js');

function withStatelessFeature(key, actions, getApi) {
    return withFeature.default({
        actions: (actions || {}),
        key: key,
        initialState: {},
        reducer: function (state) { return state || {}; },
        getApi: (getApi || (function () { })),
    });
}

module.exports = withStatelessFeature;
