import { Loading } from '@shopify/app-bridge-core/actions';
import { RESET_LOADING } from './actions.js';

function reset() {
    return {
        type: RESET_LOADING,
    };
}
function start() {
    return Loading.start();
}
function stop() {
    return Loading.stop();
}
var loadingActionCreatorsMap = {
    start: start,
    stop: stop,
    reset: reset,
};

export { loadingActionCreatorsMap, reset, start, stop };
