import { Modal } from '@shopify/app-bridge-core/actions';
import { LEGACY_MODAL_SET_HEIGHT } from './actions.js';

function setHeight(payload) {
    return {
        payload: payload,
        type: LEGACY_MODAL_SET_HEIGHT,
    };
}
var modalActionCreatorsMap = {
    clickFooterButton: Modal.clickFooterButton,
    close: Modal.closeModal,
    open: Modal.openModal,
    setHeight: setHeight,
};

export { modalActionCreatorsMap, setHeight };
