import { Group, Pos } from '@shopify/app-bridge-core/actions';

/**
 * Returns update user action payload
 * @public
 */
function setUser(user) {
    return { group: Group.Pos, type: Pos.Action.USER_UPDATE, payload: user };
}
/**
 * Returns update location action payload
 * @public
 */
function setLocation(location) {
    return { group: Group.Pos, type: Pos.Action.LOCATION_UPDATE, payload: location };
}
/**
 * Returns update device action payload
 * @public
 */
function setDevice(device) {
    return { group: Group.Pos, type: Pos.Action.DEVICE_UPDATE, payload: device };
}

export { setDevice, setLocation, setUser };
