import { __assign } from 'tslib';
import * as Toast from '@shopify/app-bridge-core/actions/Toast';
import { LegacyFlashClear } from './types.js';

function legacyClear(payload) {
    var defaultAction = Toast.clear(payload);
    return __assign(__assign({}, defaultAction), { type: LegacyFlashClear });
}
var toastActionCreatorsMap = {
    clear: Toast.clear,
    show: Toast.show,
    legacyClear: legacyClear,
    action: Toast.primaryAction,
};

export { toastActionCreatorsMap };
