'use strict';

var Actions = require('@shopify/app-bridge-core/actions');
var actions = require('../../../../actions.js');

function update(payload) {
    return actions.actionWrapper({
        group: Actions.Group.Features,
        type: Actions.Features.Action.UPDATE,
        payload: payload,
    });
}
function requestUpdate(payload) {
    return actions.actionWrapper({
        group: Actions.Group.Features,
        type: Actions.Features.Action.REQUEST_UPDATE,
        payload: payload,
    });
}

exports.requestUpdate = requestUpdate;
exports.update = update;
