import { ActionCreatorsMapObject } from 'redux';
import { Loading } from '@shopify/app-bridge-core/actions';
import { ResetLoadingAction } from './actions';
export declare function reset(): ResetLoadingAction;
export declare function start(): Loading.LoadingAction;
export declare function stop(): Loading.LoadingAction;
export interface LoadingActionCreatorsMap extends ActionCreatorsMapObject {
    start: typeof start;
    stop: typeof stop;
    reset: typeof reset;
}
export declare const loadingActionCreatorsMap: LoadingActionCreatorsMap;
