'use strict';

var Actions = require('@shopify/app-bridge-core/actions');
var actions = require('./actions.js');

function reset() {
    return {
        type: actions.RESET_LOADING,
    };
}
function start() {
    return Actions.Loading.start();
}
function stop() {
    return Actions.Loading.stop();
}
var loadingActionCreatorsMap = {
    start: start,
    stop: stop,
    reset: reset,
};

exports.loadingActionCreatorsMap = loadingActionCreatorsMap;
exports.reset = reset;
exports.start = start;
exports.stop = stop;
