import { ActionCreatorsMapObject } from 'redux';
import { History, Redirect } from '@shopify/app-bridge-core/actions';
import { completeRouteUpdate } from './actions';
export interface NavigationActionCreatorsMap extends ActionCreatorsMapObject {
    handleReplaceHistory: typeof History.replace;
    handlePushHistory: typeof History.push;
    handleRedirectApp: typeof Redirect.toApp;
    handleRedirectAdmin: typeof Redirect.toAdminPath;
    handleRedirectAdminSection: typeof Redirect.toAdminSection;
    handleRedirectRemote: typeof Redirect.toRemote;
    completeRouteUpdate: typeof completeRouteUpdate;
}
export declare const navigationActionCreatorsMap: NavigationActionCreatorsMap;
