import { Redirect, History } from '@shopify/app-bridge-core/actions';
export type UpdateActionType = typeof History.Action.PUSH | typeof History.Action.REPLACE;
export type UpdateActionTarget = typeof Redirect.Action.APP | typeof Redirect.Action.ADMIN_PATH | typeof Redirect.Action.ADMIN_SECTION | typeof Redirect.Action.REMOTE;
export interface UpdateAction {
    type?: UpdateActionType;
    target: UpdateActionTarget;
    payload: Redirect.AdminPathPayload | Redirect.AdminSectionAction | Redirect.RemotePayload | Redirect.AppPayload;
}
export interface NavigationStore {
    updateAction?: UpdateAction;
}
