import { Pos } from '@shopify/app-bridge-core/actions';
import { DeviceAction, LocationAction, UserAction } from './types';
/**
 * Returns update user action payload
 * @public
 */
export declare function setUser(user: Pos.User): UserAction;
/**
 * Returns update location action payload
 * @public
 */
export declare function setLocation(location: Pos.Location): LocationAction;
/**
 * Returns update device action payload
 * @public
 */
export declare function setDevice(device: Pos.Device): DeviceAction;
