import { Pos } from '@shopify/app-bridge-core/actions';
import { AnyAction } from 'redux';
export interface POSStore {
    location?: Pos.Location;
    user?: Pos.User;
    device?: Pos.Device;
}
export interface POSAction<P> extends AnyAction {
    group: string;
    type: string;
    payload: P;
}
export interface LocationAction extends POSAction<Pos.Location> {
}
export interface UserAction extends POSAction<Pos.User> {
}
export interface DeviceAction extends POSAction<Pos.Device> {
}
