import { ResourcePicker as AppBridgeResourcePicker } from '@shopify/app-bridge-core/actions';
export interface ResourcePickerStore {
    open: boolean;
    id?: string;
    initialQuery?: string;
    filterQuery?: string;
    initialSelectionIds?: AppBridgeResourcePicker.BaseResource[];
    selection?: AppBridgeResourcePicker.ResourceSelection[];
    selectMultiple?: boolean | number;
    showHidden?: boolean;
    showVariants?: boolean;
    showDraft?: boolean;
    showArchived?: boolean;
    showDraftBadge?: boolean;
    showArchivedBadge?: boolean;
    title?: string;
    resourceType?: AppBridgeResourcePicker.ResourceType;
    actionVerb?: AppBridgeResourcePicker.ActionVerb;
}
