'use strict';

var TitleBar = require('@shopify/app-bridge-core/actions/TitleBar');
var actions = require('./actions.js');

function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
        Object.keys(e).forEach(function (k) {
            if (k !== 'default') {
                var d = Object.getOwnPropertyDescriptor(e, k);
                Object.defineProperty(n, k, d.get ? d : {
                    enumerable: true,
                    get: function () { return e[k]; }
                });
            }
        });
    }
    n.default = e;
    return Object.freeze(n);
}

var TitleBar__namespace = /*#__PURE__*/_interopNamespace(TitleBar);

/**
 * Returns a mapped object with methods for dispatching Title Bar actions
 * @internal
 * */
var titleBarActionCreatorsMap = {
    clickActionButton: TitleBar__namespace.clickActionButton,
    clickBreadcrumb: TitleBar__namespace.clickBreadcrumb,
    setPagination: actions.setPagination,
    setAppInfo: actions.setAppInfo,
    update: TitleBar__namespace.update,
};

exports.titleBarActionCreatorsMap = titleBarActionCreatorsMap;
