import { Action } from 'redux';
import { AppInfo, PaginationPayload } from './types';
export declare const SET_PAGINATION = "PRIVATE_APP::TITLEBAR::SET_PAGINATION";
export declare const SET_APP_INFO = "PRIVATE_APP::TITLEBAR::SET_APP_INFO";
export interface SetPaginationAction extends Action {
    readonly type: typeof SET_PAGINATION;
    readonly payload: PaginationPayload;
}
export interface SetAppDetailsAction extends Action {
    readonly type: typeof SET_APP_INFO;
    readonly payload: AppInfo;
}
export declare function setPagination(payload?: PaginationPayload): {
    type: string;
    payload: PaginationPayload | undefined;
};
export declare function setAppInfo(payload?: Partial<AppInfo>): {
    type: string;
    payload: Partial<AppInfo> | undefined;
};
