'use strict';

var tslib = require('tslib');
var Toast = require('@shopify/app-bridge-core/actions/Toast');
var types = require('./types.js');

function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
        Object.keys(e).forEach(function (k) {
            if (k !== 'default') {
                var d = Object.getOwnPropertyDescriptor(e, k);
                Object.defineProperty(n, k, d.get ? d : {
                    enumerable: true,
                    get: function () { return e[k]; }
                });
            }
        });
    }
    n.default = e;
    return Object.freeze(n);
}

var Toast__namespace = /*#__PURE__*/_interopNamespace(Toast);

function legacyClear(payload) {
    var defaultAction = Toast__namespace.clear(payload);
    return tslib.__assign(tslib.__assign({}, defaultAction), { type: types.LegacyFlashClear });
}
var toastActionCreatorsMap = {
    clear: Toast__namespace.clear,
    show: Toast__namespace.show,
    legacyClear: legacyClear,
    action: Toast__namespace.primaryAction,
};

exports.toastActionCreatorsMap = toastActionCreatorsMap;
